/*  RTL by ecca.ir */

/* New RTL */
body{font-family:"ecca-BYekan2,BYNfix";}
a.pp_close,a.pp_next,a.pp_previous,a.pp_arrow_previous, a.pp_arrow_next,.pp_nav .pp_play, .pp_nav .pp_pause,a.pp_expand, a.pp_contract{text-indent: 10000px;}
.feature_list ul li{float:right;}
#Subheader ul.breadcrumbs li{margin-left: 10px;margin-right: 0;}
#Subheader ul.breadcrumbs li span{margin-left: 0;margin-right: 10px;}
.breadcrumbs .icon-right-open:before{content: '\e874';}
#Top_bar .menu li ul li a .menu-arrow{left: 7px;right:auto;}
.sub-menu .icon-right-open:before{content: '\e874';}
.list_item .list_left{float:right;}
.list_item .list_right{margin-right: 100px;margin-left: 0;}
#Top_bar .menu > li > a span{border-left-width: 1px;border-right-width: 0;}
.portfolio_group .portfolio-item .desc .title_wrapper{padding-left: 35px;padding-right: 0;}
.portfolio_group .portfolio-item .desc .title_wrapper .button-love{left:0;right:auto;}
.portfolio_group .portfolio-item .desc .title_wrapper .button-love a.mfn-love{margin-right: 5px;margin-left: 0;}
.post-meta .author-date{float:right;}
.post-footer .button-love a.mfn-love{margin-right: 5px;margin-left: 0;}
.post-footer .post-links .post-comments{margin-right: 0;margin-left: 10px;}
.mfn-login .avatar-wrapper{ float: right;margin: 0 0 10px 10px;}
.mfn-login .author{float:right;}
ul.portfolio_grid li{float:right;}
.list_item.lists_3 .list_right{margin-right: 0;}
.article_box .photo_wrapper{float:right;}
.article_box .desc_wrapper{float:right;}
.article_box .icon-right-open:before{content: '\e874';}
.article_box .desc_wrapper i.icon-right-open{right: -5px;left:auto;}
.woocommerce .addresses .title h3, .woocommerce-page .addresses .title h3{float:right;}
#Filters .filters_wrapper ul li{float:right;}
.woocommerce ul.products li.product, .woocommerce-page ul.products li.product{ float: right;margin: 0 0 2.992em 3.8%;}
.woocommerce ul.products li.last, .woocommerce-page ul.products li.last{margin-left: 0;}
.widget_shopping_cart p.total strong{float: right; margin-left: 4px;margin-right: 0;}
.widget_shopping_cart p.total .amount{float:right;}
.widget_shopping_cart p.total .button_cart{float:left;}
.woocommerce a.button, .woocommerce-page a.button, .woocommerce button.button, .woocommerce-page button.button, .woocommerce input.button, .woocommerce-page input.button, .woocommerce #respond input#submit, .woocommerce-page #respond input#submit, .woocommerce #content input.button, .woocommerce-page #content input.button, .woocommerce input[type="submit"], .woocommerce input[type="reset"], .woocommerce input[type="button"], .woocommerce table.cart td.actions input.checkout-button, .woocommerce .shipping_calculator .shipping-calculator-form p button.button, .woocommerce div.product form.cart .button, .woocommerce .widget_shopping_cart .buttons a.checkout, .woocommerce #payment #place_order, .woocommerce .quantity input.plus, .woocommerce .quantity input.minus{margin-left: 7px;margin-right: auto;}
.woocommerce .related ul.products li.product, .woocommerce .related ul li.product, .woocommerce .upsells.products ul.products li.product, .woocommerce .upsells.products ul li.product, .woocommerce-page .related ul.products li.product, .woocommerce-page .related ul li.product, .woocommerce-page .upsells.products ul.products li.product, .woocommerce-page .upsells.products ul li.product{ margin-left: 3%; margin-right: 0;}
.woocommerce p.stars a.star-1:after, .woocommerce p.stars a.star-2:after, .woocommerce p.stars a.star-3:after, .woocommerce p.stars a.star-4:after, .woocommerce p.stars a.star-5:after, .woocommerce-page p.stars a.star-1:after, .woocommerce-page p.stars a.star-2:after, .woocommerce-page p.stars a.star-3:after, .woocommerce-page p.stars a.star-4:after, .woocommerce-page p.stars a.star-5:after{right:0;left:auto;}
.woocommerce .product div.entry-summary .accordion p.stars a{ margin-left: 10px; margin-right: 0;}
.woocommerce p.stars a.star-1, .woocommerce p.stars a.star-2, .woocommerce p.stars a.star-3, .woocommerce p.stars a.star-4, .woocommerce p.stars a.star-5, .woocommerce-page p.stars a.star-1, .woocommerce-page p.stars a.star-2, .woocommerce-page p.stars a.star-3, .woocommerce-page p.stars a.star-4, .woocommerce-page p.stars a.star-5{border-left: 1px solid #CCCCCC;border-right: 0;}
.woocommerce #content div.product form.cart .button, .woocommerce div.product form.cart .button, .woocommerce-page #content div.product form.cart .button, .woocommerce-page div.product form.cart .button{float:right;}
.woocommerce #content div.product form.cart div.quantity, .woocommerce div.product form.cart div.quantity, .woocommerce-page #content div.product form.cart div.quantity, .woocommerce-page div.product form.cart div.quantity{float: right; margin: 0 0 0 4px;}
.woocommerce .quantity input.plus{float:right;}
.woocommerce .quantity input.plus, .woocommerce .quantity input.minus{margin: 0;}
.widget_shopping_cart ul.product_list_widget li a img{float:right;}
.widget_shopping_cart ul.product_list_widget li a .desc{ margin-right: 80px; margin-left: 0;}
.woocommerce .product div.entry-summary .price{float:right;}
.woocommerce .product div.entry-summary h1.product_title:after{right:0;left:auto;}
.woocommerce p.stars a.star-5, .woocommerce-page p.stars a.star-5{border:0;}
#respond .comment-form-author{margin-left: 2% !important;float: right;margin-right: 0 !important;}
#respond .comment-form-email{margin-left: 2% !important;float: right;margin-right: 0 !important;}
.woocommerce .shop_table .product-name{  text-align: center;}
.woocommerce .cart-collaterals .shipping_calculator, .woocommerce-page .cart-collaterals .shipping_calculator{clear: left; float: left;}
.cart-collaterals .cart_totals{float: right !important; text-align: right !important;}
.woocommerce .cart-collaterals .shipping_calculator .shipping-calculator-button:after, .woocommerce-page .cart-collaterals .shipping_calculator .shipping-calculator-button:after{margin-right: 7px;margin-left: 0;}
.cart-collaterals .shipping_calculator{ float: left !important;  text-align: left !important;}
.woocommerce .col2-set .col-1, .woocommerce-page .col2-set .col-1{float:right;}
.woocommerce .col2-set .col-2, .woocommerce-page .col2-set .col-2{float:left;}
.woocommerce form .form-row-first, .woocommerce form .form-row-last, .woocommerce-page form .form-row-first, .woocommerce-page form .form-row-last{float:right;}
.woocommerce form .form-row-last, .woocommerce-page form .form-row-last{float:left;}
.woocommerce #payment ul.payment_methods li, .woocommerce-page #payment ul.payment_methods li{text-align: right;list-style: none;}
.woocommerce #payment div.payment_box:after, .woocommerce-page #payment div.payment_box:after{right:0;left:auto;margin: -1em 2em 0 0;}
.woocommerce .checkout .col-2 h3#ship-to-different-address, .woocommerce-page .checkout .col-2 h3#ship-to-different-address{float:right;}
.woocommerce form .form-row label, .woocommerce-page form .form-row label{clear:right;}
.woocommerce form.checkout_coupon, .woocommerce form.login, .woocommerce form.register, .woocommerce-page form.checkout_coupon, .woocommerce-page form.login, .woocommerce-page form.register{ text-align: right;}
.woocommerce .order_details li, .woocommerce-page .order_details li{float:right;border-left: 1px dashed #E0DADF;border-right: none;margin-left: 2em;margin-right: 0;padding-left: 2em;padding-right: 0;}
#Top_bar .menu li ul li ul{right: 190px;left:auto;}
#Top_bar .menu > li > ul.mfn-megamenu > li > ul{right:auto;}
.author-box .avatar-wrapper{float:right;}
.author-box .desc-wrapper{margin-right: 105px;margin-left: 0;}
.author-box .desc-wrapper:after{left:auto;right: -6px;border-width: 6px 0 6px 6px; border-color: transparent transparent transparent rgba(0,0,0,.02); }
#comments .commentlist > li .photo{right: -105px;left:auto;}
#comments .commentlist > li .comment-body{margin-right: 105px;margin-left: 0;}
#comments .commentlist > li .comment-meta a.comment-edit-link{ float: left; padding-left: 52px;padding-right: 0;}
#comments .commentlist .children{margin-right: 30px; padding-right: 50px;margin-left: 0; padding-left: 0;}
#comments .commentlist > li .children{padding-right: 40px;padding-left: 0;border-right: 1px solid #DDDDDD;border-left: none;}
.section-post-related .post-related hr{margin-right: 30px;margin-left: auto;}
.post-meta .category{float:left;}
.post-meta .category .cat-wrapper{left:0;right:auto;}
.pager{direction: ltr;}
div.pp_pic_holder{direction: ltr;}
.widget_recent_comments ul li:after{right:0;left:auto;}
.widget_recent_comments ul li{padding-right: 40px;padding-left: 0;}
.post-photo-wrapper{float:right;}
.post-desc-wrapper{float:right;}
.post-desc{padding: 15px 20px 0 0;}
#Top_bar .top_bar_right{float:left;padding: 0 20px 0 10px;}
#Top_bar .top_bar_right:before{right: -10px;left:auto;-moz-transform: skewX(0deg) skewY(25deg); -webkit-transform: skewX(0deg) skewY(25deg); -o-transform: skewX(0deg) skewY(25deg); -ms-transform: skewX(0deg) skewY(25deg); transform: skewX(0deg) skewY(25deg); }
#Top_bar .top_bar_left{float:right;}
.header-stack #Top_bar .top_bar_right{left:0;right:auto;}
#Header .secondary-menu > li{float: right;}
#Header .secondary-menu li ul{left:auto;right:0;}
#Top_bar .menu li ul{left:auto;right:0;}
.header-simple #Top_bar #menu ul li.submenu .menu-toggle{left:0;right:auto;border-right: 1px solid rgba(0, 0, 0, 0.03);border-left: none;}
#Error_404 .error_desk p .button { margin: 0 20px 0 0;}
div.wpcf7 {direction: rtl;}
#Top_bar .logo {float: right;margin: 0 20px 0 30px;}
#Top_bar.is-sticky .logo { margin: 0 20px 0 30px;}
.header-fixed #Top_bar .logo { margin: 0 20px 0 30px;}
.widget_mfn_tag_cloud ul li {float: right; margin: 0 0 2px 5px;}






body { direction: rtl; unicode-bidi: embed;  }

/* Action bar */
#Action_bar .contact_details { float: right; }
#Action_bar .contact_details li:last-child { margin-right: 10px; }
#Action_bar .contact_details li > i { margin-right: 0; margin-left: 2px; }
#Action_bar .social { float: left; }

/* Top bar */
#Top_bar .logo { float: right;}
#Top_bar .top_bar_left { float: right;}
#Top_bar .top_bar_right { float: left;}
#Top_bar .top_bar_right::before { left:auto; right:-10px; transform: skewX(0deg) skewY(25deg);}

#Top_bar .menu_wrapper { float: right; margin-right: 20px; }
#Top_bar .menu > li { float: right; }
#Top_bar .menu > li:last-child > a span { border-right-width: 1px solid rgba(0, 0, 0, 0.05); }
#Top_bar .menu > li:first-child > a span { border-right-width: 0; }
#Top_bar .menu > li > ul.mfn-megamenu > li { float: right !important; }
#Top_bar .menu li ul:not(.mfn-megamenu) { left:auto; right:0;}
#Top_bar .menu li ul:not(.mfn-megamenu) li ul { right: 190px;}
#Top_bar .menu li ul li a .menu-arrow { left:7px; right:0; 
	-moz-transform: scale(-1, 1);
	-webkit-transform: scale(-1, 1);
	-o-transform: scale(-1, 1);
	-ms-transform: scale(-1, 1);
	transform: scale(-1, 1);
}

#Top_bar a.responsive-menu-toggle { left:10px; right:auto;}

/* Search */
#Top_bar .search_wrapper input[type="text"] { padding-left: 0; padding-right: 35px; }
#Top_bar .search_wrapper .icon_close { right: auto; left: 18px; }
#Top_bar .search_wrapper .icon_search { left: auto; right: 18px; }

/* Header Stack */
.header-stack #Top_bar .top_bar_right { left: 0; right: auto;}
.header-stack #Top_bar .menu_wrapper { margin-right: 0;}
.header-stack #Top_bar .menu li ul { left: auto; right: 0;}
.header-magazine #Top_bar .logo { text-align:right;}
.header-magazine #Top_bar .banner_wrapper { left: 20px; right: auto;}

/* Offer slider */
.offer .offer_li .desc_wrapper .title { padding-left: 160px; padding-right: 0; text-align: right; }
.offer .offer_li .desc_wrapper .title a.button { right: auto; left: 0; }
.offer .offer_li .desc_wrapper { text-align: right; }

/* Lists */
ul.list_mixed li, ul.list_check li, ul.list_star li, ul.list_idea li { padding-right: 34px; padding-left: 0; }
ul.list_check li, li.list_check { background-position: right 5px; }
ul.list_star li, li.list_star { background-position: right 5px;  }
ul.list_idea li, li.list_idea { background-position: right 6px;  }
ul.list_mixed li:after, ul.list_check li:after, ul.list_star li:after, ul.list_idea li:after { left: auto; right: 0; }

dl > dt { float: right; }
dl > dd { margin-right: 110px; margin-left: 0; }

/* Dropcap */
.dropcap { float: right; margin: 0 0 5px 10px; }

/* Idea box x*/
.idea_box { padding: 25px 70px 25px 25px; }
.idea_box .icon { left: auto; right: 15px; }

/* List icon */
.list_item.lists_3 .list_icon { text-align: right; }

.list_item.lists_4 .circle { float: right; }
.list_item.lists_4 .list_right { margin-left: 0; margin-right: 100px; }

/* eccaco recent comments */
.widget_mfn_recent_comments ul li { background: none; }
.widget_mfn_recent_comments ul li { padding-left: 0; padding-right: 40px; }
.widget_mfn_recent_comments ul li:after { left: auto; right: 0; }

/* Icon box */
.icon_box.icon_position_left { padding-left: 0; padding-right: 145px; }
.icon_box.icon_position_left .desc_wrapper { text-align: right; }
.icon_box.icon_position_left .image_wrapper,
.icon_box.icon_position_left .icon_wrapper { right: 0; left: auto; }

/* Subheader */
#Subheader .title { float: right; }
#Subheader ul.breadcrumbs { float: left; text-align: left; }

/* Skills */
.progress_bars .bars_list li h6 { padding-left: 40px; padding-right: 0; }
.progress_bars .bars_list li h6 .label { left: 0; right: auto; }

/* Counter */
.counter.counter_horizontal .desc_wrapper { padding-left: 0; padding-right: 85px; text-align: right; }
.counter.counter_horizontal .icon_wrapper { left: auto; right: 30px; }

/* Tabs */
.ui-tabs .ui-tabs-nav li { float: right; border-width: 0 0 0 1px; }

/* Get in touch */
.get_in_touch ul li { padding: 13px 50px 13px 0; }
.get_in_touch ul li .icon { left: auto; right: 0; }
.get_in_touch ul li:after { left: auto; right: -30px; }

/* Infobox */
.infobox ul li { padding: 13px 50px 13px 0; }
.infobox ul li:before { left: auto; right: 0; }
.infobox ul li:after { left: auto; right: -30px; }

/* Flat box */
.flat_box .photo_wrapper .icon { left:auto; right:0;}
.flat_box a:hover .photo_wrapper .icon { -webkit-transform: translateX(90px); transform: translateX(90px); }
.flat_box .photo_wrapper img { transform: translateX(-15px);}
.flat_box .desc_wrapper { margin-left: 0; margin-right:90px;}

/* Team */
.team_horizontal .hr_color,
.team_vertical .hr_color,
.team_list .hr_color { margin-right: 0; margin-left: auto; }

.team.team_horizontal .image_frame { float: right; margin-left: 4%; margin-right: 0; }
.team.team_horizontal .desc_wrapper { float: left; }

/* Blockquote */
blockquote { text-align: right; }

/* Shop slider */
.shop_slider .blog_slider_header { padding-left: 0; padding-right: 0; text-align: right; }
.shop_slider .blog_slider_header a.slider_prev { right: auto; left: 0; }
.shop_slider .blog_slider_header a.slider_next { right: auto; left: 50px; }
.shop_slider .shop_slider_ul li .item_wrapper .desc { text-align: right; }

/* Blog slider */
.blog_slider .blog_slider_header { padding-left: 0; padding-right: 0; text-align: right; }
.blog_slider .blog_slider_header a.slider_prev { right: auto; left: 0; }
.blog_slider .blog_slider_header a.slider_next { right: auto; left: 50px; }
.blog_slider .blog_slider_ul li .item_wrapper .desc { text-align: right; }

/* Post */
.post-item { float:right;}
.post-photo-wrapper { float: right;}
.post-desc { padding: 15px 20px 0 0;}
.post-footer .button-love a.mfn-love { margin-right:5px;}

.author-box .avatar-wrapper { float:right;}
.author-box .desc-wrapper { margin-right: 105px; margin-left:0;}

/* Portfolio */
.portfolio_group .portfolio-item { float: right;}
.portfolio_group .portfolio-item .desc .title_wrapper { padding-left: 43px; padding-right:0;}
.portfolio_group .portfolio-item .desc .title_wrapper .button-love { left:0; right:auto;}

/* Filters */
#Filters .filters_buttons li { float: right; }
#Filters .filters_buttons li.reset { float: left; }

/* Widget: Categories */
.widget_categories ul { padding: 5px 30px 5px 10px; }
.widget_categories ul li:after { left: auto; right: -30px; }

/* Products Categoris */
.widget_product_categories ul { padding: 5px 30px 5px 10px !important; }
.widget_product_categories ul li:after { left: auto; right: -30px; }

/* Widget Archive & Nav */
.widget_archive ul,
.widget_nav_menu ul { padding: 5px 30px 5px 10px; }
.widget_archive ul li:after,
.widget_nav_menu ul li:after { left: auto; right: -30px; }

/* Comments */
#comments .commentlist > li .comment-body { margin-left: 0; margin-right: 105px; }
#comments .commentlist > li .comment-body:after { left:auto; right: -6px; border-width: 6px 0 6px 6px; border-color: transparent transparent transparent #fff; }
#comments .commentlist > li .children { padding-left: 0; padding-right: 40px; border-left: none; border-right: 1px solid #ddd; }
#comments .commentlist > li .photo { left:auto; right:-105px; }
#comments .commentlist > li .comment-meta a.comment-edit-link { float: left; padding-left: 52px; padding-right: 0; }
#comments .commentlist > li .reply { left: 20px; right: auto;  }
#comments .commentlist .children { margin-left: 0; margin-right: 30px; padding-left: 0; padding-right: 50px; }

/* Onsale */
.woocommerce span.onsale { left: 0 !important; right: auto !important; }